com.buschmais.jqassistant.plugin.junit.impl.schema

## Class Testcase

- java.lang.Object
- - com.buschmais.jqassistant.plugin.junit.impl.schema.Testcase

-     public class Testcase
      extends Object

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{}skipped" minOccurs="0"/>
               <element ref="{}error" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{}failure" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{}system-out" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{}system-err" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="assertions" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="time" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="classname" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="status" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `assertions`
    `protected String` | `classname`
    `protected List<Error>` | `error`
    `protected List<Failure>` | `failure`
    `protected String` | `name`
    `protected String` | `skipped`
    `protected String` | `status`
    `protected List<String>` | `systemErr`
    `protected List<String>` | `systemOut`
    `protected String` | `time`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Testcase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssertions()` Ruft den Wert der assertions-Eigenschaft ab.
    `String` | `getClassname()` Ruft den Wert der classname-Eigenschaft ab.
    `List<Error>` | `getError()` Gets the value of the error property.
    `List<Failure>` | `getFailure()` Gets the value of the failure property.
    `String` | `getName()` Ruft den Wert der name-Eigenschaft ab.
    `String` | `getSkipped()` Ruft den Wert der skipped-Eigenschaft ab.
    `String` | `getStatus()` Ruft den Wert der status-Eigenschaft ab.
    `List<String>` | `getSystemErr()` Gets the value of the systemErr property.
    `List<String>` | `getSystemOut()` Gets the value of the systemOut property.
    `String` | `getTime()` Ruft den Wert der time-Eigenschaft ab.
    `void` | `setAssertions(String value)` Legt den Wert der assertions-Eigenschaft fest.
    `void` | `setClassname(String value)` Legt den Wert der classname-Eigenschaft fest.
    `void` | `setName(String value)` Legt den Wert der name-Eigenschaft fest.
    `void` | `setSkipped(String value)` Legt den Wert der skipped-Eigenschaft fest.
    `void` | `setStatus(String value)` Legt den Wert der status-Eigenschaft fest.
    `void` | `setTime(String value)` Legt den Wert der time-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### skipped

          protected String skipped

    - #### error

          protected List<Error> error

    - #### failure

          protected List<Failure> failure

    - #### systemOut

          protected List<String> systemOut

    - #### systemErr

          protected List<String> systemErr

    - #### name

          protected String name

    - #### assertions

          protected String assertions

    - #### time

          protected String time

    - #### classname

          protected String classname

    - #### status

          protected String status

  - ### Constructor Detail

    - #### Testcase

          public Testcase()

  - ### Method Detail

    - #### getSkipped

          public String getSkipped()

      Ruft den Wert der skipped-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setSkipped

          public void setSkipped(String value)

      Legt den Wert der skipped-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getError

          public List<Error> getError()

      Gets the value of the error property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the error property.

      For example, to add a new item, do as follows:

              getError().add(newItem);

      Objects of the following type(s) are allowed in the list `Error`

    - #### getFailure

          public List<Failure> getFailure()

      Gets the value of the failure property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the failure property.

      For example, to add a new item, do as follows:

              getFailure().add(newItem);

      Objects of the following type(s) are allowed in the list `Failure`

    - #### getSystemOut

          public List<String> getSystemOut()

      Gets the value of the systemOut property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the systemOut property.

      For example, to add a new item, do as follows:

              getSystemOut().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getSystemErr

          public List<String> getSystemErr()

      Gets the value of the systemErr property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the systemErr property.

      For example, to add a new item, do as follows:

              getSystemErr().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getName

          public String getName()

      Ruft den Wert der name-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Legt den Wert der name-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getAssertions

          public String getAssertions()

      Ruft den Wert der assertions-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setAssertions

          public void setAssertions(String value)

      Legt den Wert der assertions-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getTime

          public String getTime()

      Ruft den Wert der time-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setTime

          public void setTime(String value)

      Legt den Wert der time-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getClassname

          public String getClassname()

      Ruft den Wert der classname-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setClassname

          public void setClassname(String value)

      Legt den Wert der classname-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatus

          public String getStatus()

      Ruft den Wert der status-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Legt den Wert der status-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.